Bug 1127043 - [Build 20190225] LXQt fails to pick a WM
[Build 20190225] LXQt fails to pick a WM
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: LXQt
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Vetter
E-mail List
https://openqa.opensuse.org/tests/863...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-26 15:53 UTC by Dominique Leuenberger
Modified: 2019-03-04 10:05 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-02-26 15:53:08 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-NET-x86_64-otherDE_lxqt@64bit fails in
[reboot_icewm](https://openqa.opensuse.org/tests/863145/modules/reboot_icewm/steps/8)

## Test suite description



## Reproducible

Fails since (at least) Build [20190225](https://openqa.opensuse.org/tests/863145) (current job)


## Expected result

Last good: [20190224](https://openqa.opensuse.org/tests/862200) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?test=otherDE_lxqt&arch=x86_64&version=Tumbleweed&flavor=NET&distri=opensuse&machine=64bit)


This bug already existed in the past, see bug#1099800 for reference
Comment 1 Michael Vetter 2019-02-27 09:57:15 UTC
https://github.com/lxqt/lxqt-session/issues/235

The correct behaviour is:

If exactly one WM is found -> use that WM.
If several possible WMs are found, and none are set as default -> display dialog:

https://github.com/lxqt/lxqt-session/blob/master/lxqt-session/src/lxqtmodman.cpp#L392

https://openqa.opensuse.org/tests/863145#step/reboot_icewm/8 shows that Icewm, Openbox and Twm are installed.

https://github.com/lxqt/lxqt-session/commit/6d8753f6b0cbb379e4a0668eb0152702e9c1abde shows that Openbox is not set as default WM by them anymore and that they want the user to configure the WM upon first run now.

Personally I would leave it as is and let the user choose the WM upon first start.
We could also default to Openbox, but currently we only have it as Recommends, which I think makes sense so users can choose to install any other WM instead.

@Dominique, what do you think?
Comment 2 Michael Vetter 2019-02-27 09:59:37 UTC
bug#1099800 was about changing the location of the default configuration files. Where we use https://build.opensuse.org/package/view_file/X11:LXQt/lxqt-session/lxqt-0.13.0-xdg-config-dir.patch. So it's something different now.
Comment 3 Michael Vetter 2019-02-27 10:26:44 UTC
If we set Openbox as default WM in session config, and a user installs the LXQt pattern without Recommends, thus omitting Openbox from being installed, the ChooseWMDialog is shown anyways. So I will prepare a patch to set Openbox as default.
Comment 4 Michael Vetter 2019-02-27 10:31:10 UTC
SR#679780
Comment 5 Swamp Workflow Management 2019-02-27 11:10:08 UTC
This is an autogenerated message for OBS integration:
This bug (1127043) was mentioned in
https://build.opensuse.org/request/show/679782 Factory / lxqt-session
Comment 6 Michael Vetter 2019-03-04 10:05:08 UTC
Fixed